/*******************************************************************************
 * SeqAct_CameraShake generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_CameraShake extends SequenceAction
    native(Sequence)
    hidecategories(Object);

var() protectedwrite export editinline CameraShake Shake;
var() protectedwrite float ShakeScale;
var() protectedwrite bool bDoControllerVibration;
var() protectedwrite bool bRadialShake;
var() protectedwrite bool bOrientTowardRadialEpicenter;
var() protectedwrite float RadialShake_InnerRadius;
var() protectedwrite float RadialShake_OuterRadius;
var() protectedwrite float RadialShake_Falloff;
var() protectedwrite Camera.ECameraAnimPlaySpace PlaySpace;
var Actor LocationActor;

static event int GetObjClassVersion()
{
    return super(SequenceObject).GetObjClassVersion() + 1;
    //return ReturnValue;    
}

defaultproperties
{
    begin object name=Shake0 class=CameraShake
        OscillationDuration=1.0
        RotOscillation=(Pitch=(Amplitude=150.0,Frequency=40.0),Yaw=(Amplitude=75.0,Frequency=30.0),Roll=(Amplitude=150.0,Frequency=60.0))
    object end
    // Reference: CameraShake'Default__SeqAct_CameraShake.Shake0'
    Shake=Shake0
    ShakeScale=1.0
    bDoControllerVibration=true
    RadialShake_InnerRadius=128.0
    RadialShake_OuterRadius=512.0
    RadialShake_Falloff=2.0
    InputLinks(0)=(LinkDesc="Start",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    InputLinks(1)=(LinkDesc="Stop",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(0)=(ExpectedType=class'SeqVar_Object',LinkedVariables=none,LinkDesc="Target",LinkVar=None,PropertyName=Targets,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(1)=(ExpectedType=class'SeqVar_Object',LinkedVariables=none,LinkDesc="Location",LinkVar=None,PropertyName=LocationActor,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Camera Shake"
}